Subject: Re: bug#46670: 28.0.50; [feature/native-comp] possible miscompilation affecting lsp-mode

From: Andrea Corallo <[email-masked]>
Date: Fri, 26 Feb 2021 20:44:19 +0000

Pip Cet <[email-masked]> writes:

> On Fri, Feb 26, 2021 at 7:33 PM Andrea Corallo <[email-masked]> wrote:
>> Pip Cet <[email-masked]> writes:
>> Sorry I realized I've been not clear, I was only talking about native
>> compiler misscompilation bugs.
>
> Ah, that makes sense. Thanks for the clarification!
>
>> There's no need to suggest or discuss
>> that, this is how I work and will as long as I maintain the native
>> compiler.
>
> Again, not trying to stop you from applying your own criteria. I
> certainly agree that if it doesn't come with a reproducer, it cannot
> be a miscompilation bug.

A compiler does essentially one thing, compiling.  IOW here I'm
referring to everything that is not infrastructure integration.

  Andrea